<!-- صفحه ثبت نام کاربر -->
<md-content flex>
	<div layout="row"
		layout-align="none"
		layout-align-gt-sm="center center">
<!-- 		<div layout="column"> -->
			<div md-whiteframe="3"
				style="max-height: none;"
				flex="100"
				flex-gt-sm="50">
				<!-- Toolbar -->
				<md-toolbar 
					layout="column" 
					layout-align="center center"
					layout-padding
					md-colors="{backgroundColor: 'primary-100'}">
					<img 
						height="160px"
						style="max-width: 90%;"
						ng-show="app.config.logo"
						ng-src="{{app.config.logo}}" />
<!-- 					<p> -->
<!-- 						<strong>{{app.config.title}}</strong><br/> -->
<!-- 						<em>{{app.config.description}}</em> -->
<!-- 					</p> -->
				</md-toolbar>
				<md-progress-linear
					ng-disabled="!ctrl.registering"
					style="margin: 0px; padding: 0px"
					md-mode="indeterminate"
					class="md-primary"
					md-color>
				</md-progress-linear>
				<!-- body -->
				<div style="text-align: center;"
					layout-margin
					ng-show="!ctrl.registering"> 
					<span ng-show="ctrl.registerState === 'fail'"
						md-colors="{color:'warn'}" translate>Failed to sign up.</span>
					<span ng-show="ctrl.registerState === 'success'"
						md-colors="{color:'primary'}" translate>Token is sent.</span>
				</div>
				<form ng-show="app.user.anonymous"
					name="ctrl.myForm"
					ng-submit="signup(registerData)"
					layout="column" 
					layout-margin>
					<md-input-container>
						<label translate>register-form-email</label>
						<input name="email" ng-model="registerData.email" type="email" required/>
						<div ng-messages="ctrl.myForm.email.$error">
			              	<div ng-message="required" translate>This field is required.</div>
			              	<div ng-message="email" translate>Email is not valid.</div>
			            </div>
					</md-input-container>
					<md-input-container>
						<label translate>password</label>
						<input name="password" ng-model="registerData.password" type="password" required/>
						<div ng-messages="ctrl.myForm.password.$error">
			              <div ng-message="required" translate>This field is required.</div>
			            </div>
				    </md-input-container>
					<md-input-container>
						<label translate>repeat password</label>
						<input name="password2" ng-model="repeatPassword" type="password" compare-to="registerData.password" required/>
						<div ng-messages="ctrl.myForm.password2.$error">
			              	<div ng-message="required" translate>This field is required.</div>
			              	<div ng-message="compareTo" translate>password is not match.</div>
			            </div>
				    </md-input-container>
					<md-input-container>
						<label translate>first name</label>
						<input name="firstName" ng-model="registerData.first_name" type="text" required/>
						<div ng-messages="ctrl.myForm.firstName.$error">
			              <div ng-message="required" translate>This field is required.</div>
			            </div>
					</md-input-container>
					<md-input-container>
						<label translate>last name</label>
						<input name="lastName" ng-model="registerData.last_name" type="text" required/>
						<div ng-messages="ctrl.myForm.lastName.$error">
			              <div ng-message="required" translate>This field is required.</div>
			            </div>
					</md-input-container>
					<md-input-container>
				        <label translate>mobile number</label>
				        <input name="mobileNumber" ng-model="registerData.profile.mobile">
				    </md-input-container>
					<md-input-container ng-show="ctrl.educations.length">
				        <label translate>education</label>
				        <md-select ng-model="registerData.profile.education">
							<md-option ng-repeat="item in ctrl.educations" 
								value="{{item}}">{{item}}</md-option>
						</md-select>
				    </md-input-container>
					<md-input-container ng-show="ctrl.familiar_mediums.length">
				        <label translate>how to familiar</label>
				        <md-select name="howToFamiliar" 
				        	ng-model="registerData.profile.familiar_medium" ng-required="ctrl.familiar_mediums.length">
							<md-option ng-repeat="item in ctrl.familiar_mediums" 
								value="{{item}}">{{item}}</md-option>
						</md-select>
						<div ng-messages="ctrl.myForm.howToFamiliar.$error">
			              	<div ng-message="required" translate>This field is required.</div>
			            </div>
				    </md-input-container>
					<md-input-container ng-show="ctrl.activity_fields.length">
				        <label translate>activity field</label>
				        <md-select name="ctrl.myForm.activityField" 
				        	ng-model="ctrl.selectedActivities" multiple ng-required="ctrl.activity_fields.length">
							<md-option ng-repeat="item in ctrl.activity_fields" 
								value="{{item}}">{{item}}</md-option>
						</md-select>
						<div ng-messages="ctrl.myForm.activityField.$error">
			              	<div ng-message="required" translate>This field is required.</div>
			            </div>
				    </md-input-container>
					<wb-ui-setting-searchable-select ng-show="ctrl.favorite_items"
						label="favorites"
						searchable="true"
						search-placeholder="{{'search' | translate}}"
						ng-model="ctrl.selectedFavorites"
						options="ctrl.favorite_items">
					</wb-ui-setting-searchable-select>
					<!-- 			<amh-captcha -->
		<!-- 			    ng-model="credit.g_recaptcha_response">Hi -->
		<!-- 			</amh-captcha> -->
					<!-- XXX: maso, 2018: adding captcha -->
					<div
						ng-if="app.captcha.engine==='recaptcha'"
					    vc-recaptcha
					    ng-model="credit.g_recaptcha_response"
					    theme="app.captcha.theme || 'light'"
					    type="app.captcha.type || 'image'"
					    key="app.captcha.recaptcha.key"
					    lang="app.captcha.language || 'fa'">
					</div>
					<div layout="column" layout-align="center none"
			        	layout-gt-xs="row" layout-align-gt-xs="end center"
			        	layout-margin>
			        	<a 
			        		href="users/login"
			        		style="text-decoration: none;"  
			        		ui-sref="forget" 
			        		flex-order="1" 
			        		flex-order-gt-xs="-1">{{'have you already account?' | translate}}</a>
						<md-button 
							flex-order="0" 
							flex-order-gt-xs="0"
							class="md-raised" 
							ng-href="users/login">{{'login' | translate}}</md-button>
						<md-button 
							flex-order="-1" 
							flex-order-gt-xs="1"
							ng-disabled="form.$invalid"
							type="submit" 
							ng-click="signup(registerData)"
							class="md-raised md-primary">{{ 'sign up' | translate }}</md-button>
					</div>
				</form>
				
				<div layout-margin ng-show="!app.user.anonymous" 
		        	layout="column" layout-align="none center">
		        	<img
				    	width="150px" height="150px" ng-show="!uploadAvatar"
				    	ng-src="{{app.user.current.avatar}}" />
				    <h3>{{app.user.current.login}}</h3>
		        	<p translate>you are loged in. go to one of the following options.</p>
		        </div>
		        <div ng-show="!app.user.anonymous" 
		        	layout="column" layout-align="none"
		        	layout-gt-xs="row" layout-align-gt-xs="center center"
		        	layout-margin>
		        	<md-button 
		        		ng-click="cancel()"
		        		flex-order="0" 
		        		flex-order-gt-xs="0" 
		        		class="md-raised">
		        		<wb-icon>settings_backup_restore</wb-icon> 
		        		{{'back' | translate}}
		        	</md-button>
		        	<md-button 
		        		ng-href="users/account"
		        		flex-order="1" 
		        		flex-order-gt-xs="-1" 
		        		class="md-raised">
		        		<wb-icon>account_circle</wb-icon> 
		        		{{'account' | translate}}
		        	</md-button>
		        </div>
<!-- 			</div> -->
		</div>
	</div>
</md-content>


